curl --request GET \
--url https://api.baselayer.com/tin_verifications \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.baselayer.com/tin_verifications"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.baselayer.com/tin_verifications', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.baselayer.com/tin_verifications",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.baselayer.com/tin_verifications"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.baselayer.com/tin_verifications")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.baselayer.com/tin_verifications")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body[
{
"id": "d2682fdb-46fe-429c-8111-dee6db9d0eb3",
"state": "COMPLETED",
"name": "Acme Corporation",
"tin": "123456789",
"created_at": "2026-10-29T05:44:48.448457",
"idempotency_key": "<string>",
"address": "123 Main St, Anytown, USA",
"tin_matched": true,
"warnings": [
"IRS Validation is unavailable."
],
"tin_match_type": "SSN"
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}List Tin Verifications
List all Federations that the authenticated actor has access to.
curl --request GET \
--url https://api.baselayer.com/tin_verifications \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.baselayer.com/tin_verifications"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.baselayer.com/tin_verifications', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.baselayer.com/tin_verifications",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.baselayer.com/tin_verifications"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.baselayer.com/tin_verifications")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.baselayer.com/tin_verifications")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body[
{
"id": "d2682fdb-46fe-429c-8111-dee6db9d0eb3",
"state": "COMPLETED",
"name": "Acme Corporation",
"tin": "123456789",
"created_at": "2026-10-29T05:44:48.448457",
"idempotency_key": "<string>",
"address": "123 Main St, Anytown, USA",
"tin_matched": true,
"warnings": [
"IRS Validation is unavailable."
],
"tin_match_type": "SSN"
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Query Parameters
x >= 1x >= 0A search query to limit the TIN Verifications returned by matching on ID, name, or external ID.
"Acme, Inc."
Response
Successful Response
The unique identifier of the TIN verification request.
"d2682fdb-46fe-429c-8111-dee6db9d0eb3"
The status of the TIN verification request.
PENDING, EXECUTING, COMPLETED, FAILED, CANCELLED "COMPLETED"
The name inputted in the search.
"Acme Corporation"
The TIN inputted in the search.
9"123456789"
The date and time when the TIN verification request was created.
"2026-10-29T05:44:48.448457"
The Idempotency-Key header the request that created this resource carried, if any.
The address inputted in the search.
500"123 Main St, Anytown, USA"
Indicates whether the inputted TIN/EIN was a match, per the IRS.
true
Any warnings that occurred.
["IRS Validation is unavailable."]
The type of match that occurred.
SSN, EIN, UNKNOWN "SSN"